#import "VungleC.h"
#import <Cordova/CDVViewController.h>

@implementation VungleC

#pragma mark - General

- (void) setSegment:(CDVInvokedUrlCommand *)command
{
    const NSArray *placementIds = [command argumentAtIndex:0];

    GADRequest *request = [GADRequest request];
    VungleAdNetworkExtras *extras = [[VungleAdNetworkExtras alloc] init];

    extras.allPlacements = placementIds;
    [request registerAdNetworkExtras:extras];

    CDVPluginResult *result = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK messageAsArray:command.arguments];
    [self.commandDelegate sendPluginResult:result callbackId:command.callbackId];
}

@end
